<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Model;

class AiDocument extends Model
{
    protected $fillable = [
        'title',
        'filename',
        'file_type',
        'content',
        'chunk_count'
    ];

    public function chunks()
    {
        return $this->hasMany(AiDocumentChunk::class, 'document_id');
    }
}